Bug 242611 - Should set Locale/Language from provided Time Zone location
Summary: Should set Locale/Language from provided Time Zone location
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 02:50 UTC by vfiend
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 17:08:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vfiend 2007-06-05 02:50:34 UTC
Description of problem: Anaconda should set the default locale/language from the
time zone location provided by the user during install so users don't have to
use system-config-language after the install to choose their language.

Steps to Reproduce:
1. Install Fedora 7, choosing America/Vancouver time zone location (which is in
Canada)
2. Boot up into the install and open-system-config-lanaguage
  
Actual results:
English (USA) is selected

Expected results:
English (Canada) should be selected

Additional info: Maybe Anaconda already does this and it's an oversight for
Canadian locations?

Comment 1 Jeremy Katz 2007-06-25 17:08:18 UTC
The direction is the other way -- we use the selected language to pick the
default timezone.

Comment 2 vfiend 2007-06-25 21:07:19 UTC
But it specifically asks for location in the installer, so shouldn't the
language be en_CA if a Canadian (non-Quebec) location is chosen?


Note You need to log in before you can comment on or make changes to this bug.